lv.eparaksts.validation

## Enum SignatureType

- java.lang.Object
- - java.lang.Enum<SignatureType>
  - - lv.eparaksts.validation.SignatureType

- All Implemented Interfaces:
    Serializable, Comparable<SignatureType>

      public enum SignatureType
      extends Enum<SignatureType>

  Signature type enumeration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDOC_V1` EDOC_V1 signature type.
    `EDOC_V2` EDOC_V2 signature type.
    `PDF_ADBE_PKCS7_DETACHED` PDF Adobe PKCS7 detached signature type.
    `PDF_ETSI_CADES_DETACHED` PDF ETSI CAdES detached signature type.
    `UNKNOWN_TYPE` Unknown signature type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SignatureType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SignatureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN_TYPE

          public static final SignatureType UNKNOWN_TYPE

      Unknown signature type.

    - #### EDOC_V1

          public static final SignatureType EDOC_V1

      EDOC_V1 signature type.

    - #### EDOC_V2

          public static final SignatureType EDOC_V2

      EDOC_V2 signature type.

    - #### PDF_ADBE_PKCS7_DETACHED

          public static final SignatureType PDF_ADBE_PKCS7_DETACHED

      PDF Adobe PKCS7 detached signature type.

    - #### PDF_ETSI_CADES_DETACHED

          public static final SignatureType PDF_ETSI_CADES_DETACHED

      PDF ETSI CAdES detached signature type.

  - ### Method Detail

    - #### values

          public static SignatureType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SignatureType c : SignatureType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SignatureType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO